Skip to main content

Type Oauth App Grant

Description

Notification about an OAUTH_APP_GRANT event.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED

Resource ID

resourceDetails.resourceId (string) identifies the organization that created the OAuth App, not the organization that uses it.

Example Response Bodies

Partner (OAuth App Owner) Notification

An OAUTH_APP_GRANT notification is generated when an organization revokes an authorization grant. The partner that created the OAuth App calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Partner (OAuth app owner)OrganizationAuthorization grant revoked
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654921",
"createdDate": "2026-10-20T01:32:59.00Z",
"type": "OAUTH_APP_GRANT",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654951",
"resourceDetails": {
"resourceType": "ORGANIZATION",
"resourceId": "9467895078742654994"
}
}
],
"pagination": {
"cursors": {
"after": "5X23a61d9b495619"
},
"next": "/v1/orgs/9467895078742654994/notifications?ql=resourceType==ORGANIZATION&limit=1&after=5X23a61d9b495619"
}
}
Location Owner Notification

The same event also generates a notification for the location owner when one of their users revokes an authorization grant. The organization calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Location ownerLocation ownerAuthorization grant revoked
{
"data": [
{
"orgId": "9467895078742650123",
"id": "9467895078742654932",
"createdDate": "2026-10-20T01:32:01.00Z",
"type": "OAUTH_APP_GRANT",
"feedbackUrl": "/v1/orgs/9467895078742650123/feedback?ql=id==9467895078742654978",
"resourceDetails": {
"resourceType": "ORGANIZATION",
"resourceId": "9467895078742654994"
}
}
],
"pagination": {
"cursors": {
"after": "1D44a61d9b495227"
},
"next": "/v1/orgs/9467895078742650123/notifications?ql=resourceType==ORGANIZATION&limit=1&after=1D44a61d9b495227"
}
}